# Update Ticket Status

{% hint style="warning" %}
All API requests should contain [authorization headers](/docs/apis/tickets/authorization-headers.md).
{% endhint %}

#### Request

```
PATCH /tickets/{ticketId}/status
```

#### Query Parameters

<table><thead><tr><th>Name</th><th width="100">Type</th><th width="100">Required</th><th>Comments</th></tr></thead><tbody><tr><td>ticketId</td><td>integer</td><td>yes</td><td>Id of ticket you want to update</td></tr></tbody></table>

**Request Body**

```
"open"
```

Body of request should contain one of [Ticket Status](/docs/apis/tickets/reference/enumerations/ticket-status.md) enumeration values.

{% hint style="danger" %}
not\_completed ticket status cannot be set to ticket. It can be used only for [listing tickets](/docs/apis/tickets/reference/endpoints/list-tickets.md).
{% endhint %}

#### Response

```json
{
  "data": {},
  "errorCode": -1,
  "errorText": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/endpoints/update-ticket-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
